GCLOUD_DATAPROC_CLUSTERS_UPDATE(1)

NAME

gcloud dataproc clusters update - update labels and/or the number of worker nodes in a cluster

SYNOPSIS

gcloud dataproc clusters update NAME [--async] [--num-preemptible-workers=NUM_PREEMPTIBLE_WORKERS] [--num-workers=NUM_WORKERS] [--region=REGION] [--remove-labels=[KEY,...]] [--update-labels=[KEY=VALUE,...]] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Update the number of worker nodes and/or the labels in a cluster.

POSITIONAL ARGUMENTS

    NAME
        The name of the cluster to update.

FLAGS

    --async
        Display information about the operation in progress, without waiting for the operation to complete.

    --num-preemptible-workers=NUM_PREEMPTIBLE_WORKERS
        The new number of preemptible worker nodes in the cluster.

    --num-workers=NUM_WORKERS
        The new number of worker nodes in the cluster.

    --region=REGION
        Specifies the Cloud Dataproc region to use. Each Cloud Dataproc region constitutes an independent resource namespace constrained to deploying instances into Google Compute Engine zones inside the region. The default value of "global" is a special multi-region namespace which is capable of deploying instances into all Google Compute Engine zones globally, and is disjoint from other Cloud Dataproc regions. Overrides the default dataproc/region property value for this command invocation.

    --remove-labels=[KEY,...]
        A list of label keys to remove. If a label does not exist it is silently ignored.

    --update-labels=[KEY=VALUE,...]
        A list of label KEY=VALUE pairs to update. If a label exists its value is modified, otherwise a new label is created.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To resize a cluster, run:
    $ gcloud dataproc clusters update my_cluster --num-workers 5
To change the number preemptible workers in a cluster, run:
    $ gcloud dataproc clusters update my_cluster \
        --num-preemptible-workers 5
To add the label 'customer=acme' to a cluster, run:
    $ gcloud dataproc clusters update my_cluster \
        --update-labels=customer=acme
To update the label 'customer=ackme' to 'customer=acme', run:
    $ gcloud dataproc clusters update my_cluster \
        --update-labels=customer=acme
To remove the label whose key is 'customer', run:
    $ gcloud dataproc clusters update my_cluster --remove-labels=customer